local GemHelper_Language = GetLocale()

function GemHelper_LocalizeName(GemHelper_GemName, GemHelper_GemCutB, GemHelper_GemCutA)
	if GemHelper_Language == "frFR" then
		if GemHelper_GemCutA then
			return GemHelper_GemName .. " " .. GemHelper_GemCutB .. " " .. GemHelper_GemCutA
		else
			return GemHelper_GemName .. " " .. GemHelper_GemCutB
		end --if
	elseif GemHelper_Language == "zhCN" then
		if GemHelper_GemCutA then
			return GemHelper_GemCutA .. " " .. GemHelper_GemCutB .. " " .. GemHelper_GemName
		else
			return GemHelper_GemCutB .. " " .. GemHelper_GemName
		end --if
	elseif GemHelper_Language == "zhTW" then
		if GemHelper_GemCutA then
			return GemHelper_GemCutA .. " " .. GemHelper_GemCutB .. " " .. GemHelper_GemName
		else
			return GemHelper_GemCutB .. " " .. GemHelper_GemName
		end --if
	else
		if GemHelper_GemCutA then
			return GemHelper_GemCutA .. " " .. GemHelper_GemCutB .. " " .. GemHelper_GemName
		else
			return GemHelper_GemCutB .. " " .. GemHelper_GemName
		end --if
	end --if
end --function

function GemHelper_LocalizeDescription(GemHelper_Source, GemHelper_Quantity, GemHelper_Material, GemHelper_Location)
	if GemHelper_Language == "frFR" then
		if GemHelper_Location then
			return GemHelper_Source .. ", " .. GemHelper_Quantity .. " " .. GemHelper_Material .. ", (" .. GemHelper_Location .. ")"
		else
			return GemHelper_Source .. ", " .. GemHelper_Quantity .. " " .. GemHelper_Material
		end --if
	elseif GemHelper_Language == "zhCN" then
		if GemHelper_Location then
			return GemHelper_Source .. ", " .. GemHelper_Quantity .. " " .. GemHelper_Material .. ", (" .. GemHelper_Location .. ")"
		else
			return GemHelper_Source .. ", " .. GemHelper_Quantity .. " " .. GemHelper_Material
		end --if
	elseif GemHelper_Language == "zhTW" then
		if GemHelper_Location then
			return GemHelper_Source .. ", " .. GemHelper_Quantity .. " " .. GemHelper_Material .. ", (" .. GemHelper_Location .. ")"
		else
			return GemHelper_Source .. ", " .. GemHelper_Quantity .. " " .. GemHelper_Material
		end --if
	else
		if GemHelper_Location then
			return GemHelper_Source .. ", " .. GemHelper_Quantity .. " " .. GemHelper_Material .. ", (" .. GemHelper_Location .. ")"
		else
			return GemHelper_Source .. ", " .. GemHelper_Quantity .. " " .. GemHelper_Material
		end --if
	end --if
end --function

GemHelper_GemLocaleData[22459] = {n = GemHelper_Localize.CutGem.VoidSphere,		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.EnchanterCrafted, "2", GemHelper_Localize.Item.VoidCrystal)}
GemHelper_GemLocaleData[22460] = {n = GemHelper_Localize.CutGem.PrismaticSphere,		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.EnchanterCrafted, "4", GemHelper_Localize.Item.LargePrismaticShard)}
GemHelper_GemLocaleData[23094] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.BloodGarnet, GemHelper_Localize.Cut.Brilliant),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.BloodGarnet)}
GemHelper_GemLocaleData[23095] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.BloodGarnet, GemHelper_Localize.Cut.Bold),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.BloodGarnet)}
GemHelper_GemLocaleData[23096] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.BloodGarnet, GemHelper_Localize.Cut.Brilliant),		d = "No longer crafted"}
GemHelper_GemLocaleData[23097] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.BloodGarnet, GemHelper_Localize.Cut.Delicate),		d = "No longer crafted"}
GemHelper_GemLocaleData[23098] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.FlameSpessarite, GemHelper_Localize.Cut.Inscribed),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.FlameSpessarite)}
GemHelper_GemLocaleData[23099] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.FlameSpessarite, GemHelper_Localize.Cut.Reckless),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.FlameSpessarite)}
GemHelper_GemLocaleData[23100] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ShadowDraenite, GemHelper_Localize.Cut.Glinting),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ShadowDraenite)}
GemHelper_GemLocaleData[23101] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.FlameSpessarite, GemHelper_Localize.Cut.Potent),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.FlameSpessarite)}
GemHelper_GemLocaleData[23103] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.DeepPeridot, GemHelper_Localize.Cut.Radiant),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.DeepPeridot)}
GemHelper_GemLocaleData[23104] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.DeepPeridot, GemHelper_Localize.Cut.Jagged),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.DeepPeridot)}
GemHelper_GemLocaleData[23105] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.DeepPeridot, GemHelper_Localize.Cut.Regal),		d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.DeepPeridot)}
GemHelper_GemLocaleData[23106] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ShadowDraenite, GemHelper_Localize.Cut.Purified),		d = "No longer crafted"}

GemHelper_GemLocaleData[68780] = {n = GemHelper_LocalizeName(GemHelper_Localize.Gem.ShadowspiritDiamond, GemHelper_Localize.Cut.Burning),	d = GemHelper_LocalizeDescription(GemHelper_Localize.String.Crafted, "1", GemHelper_Localize.Gem.ShadowspiritDiamond)}
